DWQA QuestionsCategory: ServerWamp 2.5 cannot access localhost, but can access phpMyAdmin

Wamp2.5 changes the default port of Apache to 8080
visithttp://localhost:8080/Unable to find
图片描述
Visit lcalhost: 8080 / phpMyAdmin, but you can enter it. Do you have any solutions?
图片描述
The root directory exists. I reinstalled it. When the port is changed to 8080, I can access localhost. When the default access path is set to localhost: 8080, I can also access it. Only when httpd Vhost is turned on (the port in the httpd Vhost file is also changed to 8080), I cannot access localhost,There is no index.php or index.html in the root directory?,You can check whether there are files in the root directory of the website. PhpMyAdmin points to a directory that is not in the root directory of the website, so it can be displayed,The current Wamp is not easy to use, and the installation sometimes fails. Several times
It’s good to use xampp now

3 Answers
Yida eater answered 2 months ago

There is no index.php or index.html in the root directory?

lingering light of the setting sun replied 2 months ago

Yes, I reinstalled it. When the port is changed to 8080, I can access localhost, but when the default access path is set to localhost: 8080, I can also access it. Only when httpd Vhost is turned on (the port is also changed to 8080), I can’t access localhost

Cizel answered 2 months ago

You can check whether there are files in the root directory of the website. PhpMyAdmin points to a directory that is not in the root directory of the website, so it can be displayed

lingering light of the setting sun replied 2 months ago

I didn’t modify the default root directory. I tried to reinstall Wamp and found that I couldn’t access localhost after opening httpd Vhost

Cizel replied 2 months ago

Check the configuration carefully to see where the root directory of the settings is

louis answered 2 months ago

The current Wamp is not easy to use, and the installation sometimes fails. Several times
It’s good to use xampp now

lingering light of the setting sun replied 2 months ago

I have installed wamp3.0.6, but the version is too new and there are few sinicization and tutorials, so I use wamp2.5

louis replied 2 months ago

Anyway, it’s a one click installation package, and others are OK